# -*- coding: utf-8 -*-
# Copyright (C) 2008 Lincoln de Sousa <lincoln@minaslivre.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.
from django import newforms as forms
from django.newforms import PasswordInput, ValidationError
from django.contrib.auth.models import User


class RegisterSpeaker(forms.Form):
    username = forms.CharField(max_length=20, label=u'Usuário para login')
    password1 = forms.CharField(widget=PasswordInput, label='Senha')
    password2 = forms.CharField(widget=PasswordInput, label='Confirmar Senha')

    def clean_password2(self):
        if self.cleaned_data['password1'] != self.cleaned_data['password2']:
            raise ValidationError('A confirmação não confere com a senha')
        return self.cleaned_data['password2']

    def clean_username(self):
        try:
            User.objects.get(username=self.cleaned_data['username'])
            raise ValidationError('Já existe um usuário com esse nome')
        except User.DoesNotExist:
            return self.cleaned_data['username']
